# get hdd serial numbers / types ...
function get_system_hdd_perccli {
	PERCCLI=$(which perccli 2>/dev/null)
	GZIP=$(which gzip 2>/dev/null)
	BASE64=$(which base64 2>/dev/null)
	if [ -n "${PERCCLI}" -a -n "${GZIP}" -a -n "${BASE64}" ] ; then
		SYSTEM_HDD_PERCCLI=$(${PERCCLI} /cALL/eALL/sALL show all J | ${GZIP} -cf | ${BASE64})
        fi
        debug "SYSTEM-HDD-PERCCLI: ${SYSTEM_HDD_PERCCLI}"
        echo ${SYSTEM_HDD_PERCCLI}
}

function get_system_hdd_lshw {
	GZIP=$(which gzip 2>/dev/null)
	BASE64=$(which base64 2>/dev/null)
	if [ -n "${LSHW}" -a -n "${GZIP}" -a -n "${BASE64}" ] ; then
		SYSTEM_HDD_LSHW=$(${LSHW} -C disk -json | ${GZIP} -cf | ${BASE64})
	fi
	debug "SYSTEM-HDD-LSHW: ${SYSTEM_HDD_LSHW}"
	echo "${SYSTEM_HDD_LSHW}"
}


